Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class PanelMenuTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.PanelMenuTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PanelMenuTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`PanelMenuTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
`void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
`void` | `setDisabled(javax.el.ValueExpression __disabled)` If true sets state of the item to disabled state. false is default.
`void` | `setDisabledGroupClass(javax.el.ValueExpression __disabledGroupClass)` Space-separated list of CSS style class(es) that are be applied to disabled group of this component Setter for disabledGroupClass
`void` | `setDisabledGroupStyle(javax.el.ValueExpression __disabledGroupStyle)` CSS style(s) is/are to be applied to disabled group when this component is rendered Setter for disabledGroupStyle
`void` | `setDisabledItemClass(javax.el.ValueExpression __disabledItemClass)` Space-separated list of CSS style class(es) that are be applied to disabled item of this component Setter for disabledItemClass
`void` | `setDisabledItemStyle(javax.el.ValueExpression __disabledItemStyle)` CSS style(s) is/are to be applied to disabled item when this component is rendered.
`void` | `setEvent(javax.el.ValueExpression __event)` Defines the event on the representation element that triggers the submenu's expand/collapse.
`void` | `setExpandMode(javax.el.ValueExpression __expandMode)` Set the submission mode for all panel menu groups after expand/collapse except ones where this attribute redefined.
`void` | `setExpandSingle(javax.el.ValueExpression __expandSingle)` Whether only one panel menu node on top level can be opened at a time.
`void` | `setGroupClass(javax.el.ValueExpression __groupClass)` Space-separated list of CSS style class(es) that are be applied to group of this component Setter for groupClass
`void` | `setGroupStyle(javax.el.ValueExpression __groupStyle)` CSS style(s) is/are to be applied to group when this component is rendered Setter for groupStyle
`void` | `setHoveredGroupClass(javax.el.ValueExpression __hoveredGroupClass)` Space-separated list of CSS style class(es) that are be applied to hovered group of this component Setter for hoveredGroupClass
`void` | `setHoveredGroupStyle(javax.el.ValueExpression __hoveredGroupStyle)` CSS style(s) is/are to be applied to hovered group when this component is rendered Setter for hoveredGroupStyle
`void` | `setHoveredItemClass(javax.el.ValueExpression __hoveredItemClass)` Space-separated list of CSS style class(es) that are be applied to hovered item of this component Setter for hoveredItemClass
`void` | `setHoveredItemStyle(javax.el.ValueExpression __hoveredItemStyle)` CSS style(s) is/are to be applied to hovered item when this component is rendered Setter for hoveredItemStyle
`void` | `setIconCollapsedGroup(javax.el.ValueExpression __iconCollapsedGroup)` Path to the icon to be displayed for the collapsed Group state Setter for iconCollapsedGroup
`void` | `setIconCollapsedTopGroup(javax.el.ValueExpression __iconCollapsedTopGroup)` Path to the icon to be displayed for the collapsed top group state Setter for iconCollapsedTopGroup
`void` | `setIconDisabledGroup(javax.el.ValueExpression __iconDisabledGroup)` Path to the icon to be displayed for the disabled group state Setter for iconDisabledGroup
`void` | `setIconDisabledItem(javax.el.ValueExpression __iconDisabledItem)` Path to the icon to be displayed for the disabled item state Setter for iconDisabledItem
`void` | `setIconExpandedGroup(javax.el.ValueExpression __iconExpandedGroup)` Path to the icon to be displayed for the expanded Group state Setter for iconExpandedGroup
`void` | `setIconExpandedTopGroup(javax.el.ValueExpression __iconExpandedTopGroup)` Path to the icon to be displayed for the expanded top group state Setter for iconExpandedTopGroup
`void` | `setIconGroupPosition(javax.el.ValueExpression __iconGroupPosition)` Position of the icon (left, right none (default) ) for the group icon Setter for iconGroupPosition
`void` | `setIconGroupTopPosition(javax.el.ValueExpression __iconGroupTopPosition)` Position of the icon (left, right none (default) ) for the top group icon Setter for iconGroupTopPosition
`void` | `setIconItem(javax.el.ValueExpression __iconItem)` Path to the icon to be displayed for the enabled item state Setter for iconItem
`void` | `setIconItemPosition(javax.el.ValueExpression __iconItemPosition)` Position of the icon (left, right none (default) ) for the item icon Setter for iconItemPosition
`void` | `setIconItemTopPosition(javax.el.ValueExpression __iconItemTopPosition)` Position of the icon (left, right none (default) ) for the top item icon Setter for iconItemTopPosition
`void` | `setIconTopDisabledItem(javax.el.ValueExpression __iconTopDisabledItem)` Path to the icon to be displayed for the disabled top item state Setter for iconTopDisabledItem
`void` | `setIconTopDisableGroup(javax.el.ValueExpression __iconTopDisableGroup)` Path to the icon to be displayed for the disabled top Group state Setter for iconTopDisableGroup
`void` | `setIconTopItem(javax.el.ValueExpression __iconTopItem)` Path to the icon to be displayed for the enabled top item state Setter for iconTopItem
`void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setItemClass(javax.el.ValueExpression __itemClass)` Space-separated list of CSS style class(es) that are be applied to item of this component Setter for itemClass
`void` | `setItemStyle(javax.el.ValueExpression __itemStyle)` CSS style(s) is/are to be applied to item when this component is rendered.
`void` | `setLabel(javax.el.ValueExpression __label)` A localized user presentable name for this component.
`void` | `setMode(javax.el.ValueExpression __mode)` Set the submission mode for all panel menu items on the panel menu except ones where this attribute redefined.
`void` | `setOngroupcollapse(javax.el.ValueExpression __ongroupcollapse)` HTML: script expression; some group was closed Setter for ongroupcollapse
`void` | `setOngroupexpand(javax.el.ValueExpression __ongroupexpand)` HTML: script expression; some group was activated Setter for ongroupexpand
`void` | `setOnitemhover(javax.el.ValueExpression __onitemhover)` HTML: script expression; some item was hovered Setter for onitemhover
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
`void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
`void` | `setSelectedChild(javax.el.ValueExpression __selectedChild)` contain the name or the clientId of any of the item or group, the child defined in this attribute should be highlighted on PanelMenu rendering Setter for selectedChild
`void` | `setTopGroupClass(javax.el.ValueExpression __topGroupClass)` Space-separated list of CSS style class(es) that are be applied to top group of this component Setter for topGroupClass
`void` | `setTopGroupStyle(javax.el.ValueExpression __topGroupStyle)` CSS style(s) is/are to be applied to top group when this component is rendered Setter for topGroupStyle
`void` | `setTopItemClass(javax.el.ValueExpression __topItemClass)` Space-separated list of CSS style class(es) that are be applied to top item of this component Setter for topItemClass
`void` | `setTopItemStyle(javax.el.ValueExpression __topItemStyle)` CSS style(s) is/are to be applied to top item when this component is rendered Setter for topItemStyle
`void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
`void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
`void` | `setValue(javax.el.ValueExpression __value)` The current value of this component Setter for value
`void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener
`void` | `setWidth(javax.el.ValueExpression __width)` Set minimal width for the menu.

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### PanelMenuTag

    public PanelMenuTag()

Method Detail

### setConverter

    public void setConverter(javax.el.ValueExpression __converter)

  Id of Converter to be used or reference to a Converter Setter for converter

  Parameters:
    `converter` - - new value

### setConverterMessage

    public void setConverterMessage(javax.el.ValueExpression __converterMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage

  Parameters:
    `converterMessage` - - new value

### setDisabled

    public void setDisabled(javax.el.ValueExpression __disabled)

  If true sets state of the item to disabled state. false is default. Setter for disabled

  Parameters:
    `disabled` - - new value

### setDisabledGroupClass

    public void setDisabledGroupClass(javax.el.ValueExpression __disabledGroupClass)

  Space-separated list of CSS style class(es) that are be applied to disabled group of this component Setter for disabledGroupClass

  Parameters:
    `disabledGroupClass` - - new value

### setDisabledGroupStyle

    public void setDisabledGroupStyle(javax.el.ValueExpression __disabledGroupStyle)

  CSS style(s) is/are to be applied to disabled group when this component is rendered Setter for disabledGroupStyle

  Parameters:
    `disabledGroupStyle` - - new value

### setDisabledItemClass

    public void setDisabledItemClass(javax.el.ValueExpression __disabledItemClass)

  Space-separated list of CSS style class(es) that are be applied to disabled item of this component Setter for disabledItemClass

  Parameters:
    `disabledItemClass` - - new value

### setDisabledItemStyle

    public void setDisabledItemStyle(javax.el.ValueExpression __disabledItemStyle)

  CSS style(s) is/are to be applied to disabled item when this component is rendered. Setter for disabledItemStyle

  Parameters:
    `disabledItemStyle` - - new value

### setEvent

    public void setEvent(javax.el.ValueExpression __event)

  Defines the event on the representation element that triggers the submenu's expand/collapse. (default=onclick) Setter for event

  Parameters:
    `event` - - new value

### setExpandMode

    public void setExpandMode(javax.el.ValueExpression __expandMode)

  Set the submission mode for all panel menu groups after expand/collapse except ones where this attribute redefined. (ajax, server, none(Default)) Setter for expandMode

  Parameters:
    `expandMode` - - new value

### setExpandSingle

    public void setExpandSingle(javax.el.ValueExpression __expandSingle)

  Whether only one panel menu node on top level can be opened at a time. If the value of this attribute is true, the previously opened node on the top level is closed. If the value is false, the node is left opened. The default value is false. Setter for expandSingle

  Parameters:
    `expandSingle` - - new value

### setGroupClass

    public void setGroupClass(javax.el.ValueExpression __groupClass)

  Space-separated list of CSS style class(es) that are be applied to group of this component Setter for groupClass

  Parameters:
    `groupClass` - - new value

### setGroupStyle

    public void setGroupStyle(javax.el.ValueExpression __groupStyle)

  CSS style(s) is/are to be applied to group when this component is rendered Setter for groupStyle

  Parameters:
    `groupStyle` - - new value

### setHoveredGroupClass

    public void setHoveredGroupClass(javax.el.ValueExpression __hoveredGroupClass)

  Space-separated list of CSS style class(es) that are be applied to hovered group of this component Setter for hoveredGroupClass

  Parameters:
    `hoveredGroupClass` - - new value

### setHoveredGroupStyle

    public void setHoveredGroupStyle(javax.el.ValueExpression __hoveredGroupStyle)

  CSS style(s) is/are to be applied to hovered group when this component is rendered Setter for hoveredGroupStyle

  Parameters:
    `hoveredGroupStyle` - - new value

### setHoveredItemClass

    public void setHoveredItemClass(javax.el.ValueExpression __hoveredItemClass)

  Space-separated list of CSS style class(es) that are be applied to hovered item of this component Setter for hoveredItemClass

  Parameters:
    `hoveredItemClass` - - new value

### setHoveredItemStyle

    public void setHoveredItemStyle(javax.el.ValueExpression __hoveredItemStyle)

  CSS style(s) is/are to be applied to hovered item when this component is rendered Setter for hoveredItemStyle

  Parameters:
    `hoveredItemStyle` - - new value

### setIconCollapsedGroup

    public void setIconCollapsedGroup(javax.el.ValueExpression __iconCollapsedGroup)

  Path to the icon to be displayed for the collapsed Group state Setter for iconCollapsedGroup

  Parameters:
    `iconCollapsedGroup` - - new value

### setIconCollapsedTopGroup

    public void setIconCollapsedTopGroup(javax.el.ValueExpression __iconCollapsedTopGroup)

  Path to the icon to be displayed for the collapsed top group state Setter for iconCollapsedTopGroup

  Parameters:
    `iconCollapsedTopGroup` - - new value

### setIconDisabledGroup

    public void setIconDisabledGroup(javax.el.ValueExpression __iconDisabledGroup)

  Path to the icon to be displayed for the disabled group state Setter for iconDisabledGroup

  Parameters:
    `iconDisabledGroup` - - new value

### setIconDisabledItem

    public void setIconDisabledItem(javax.el.ValueExpression __iconDisabledItem)

  Path to the icon to be displayed for the disabled item state Setter for iconDisabledItem

  Parameters:
    `iconDisabledItem` - - new value

### setIconExpandedGroup

    public void setIconExpandedGroup(javax.el.ValueExpression __iconExpandedGroup)

  Path to the icon to be displayed for the expanded Group state Setter for iconExpandedGroup

  Parameters:
    `iconExpandedGroup` - - new value

### setIconExpandedTopGroup

    public void setIconExpandedTopGroup(javax.el.ValueExpression __iconExpandedTopGroup)

  Path to the icon to be displayed for the expanded top group state Setter for iconExpandedTopGroup

  Parameters:
    `iconExpandedTopGroup` - - new value

### setIconGroupPosition

    public void setIconGroupPosition(javax.el.ValueExpression __iconGroupPosition)

  Position of the icon (left, right none (default) ) for the group icon Setter for iconGroupPosition

  Parameters:
    `iconGroupPosition` - - new value

### setIconGroupTopPosition

    public void setIconGroupTopPosition(javax.el.ValueExpression __iconGroupTopPosition)

  Position of the icon (left, right none (default) ) for the top group icon Setter for iconGroupTopPosition

  Parameters:
    `iconGroupTopPosition` - - new value

### setIconItem

    public void setIconItem(javax.el.ValueExpression __iconItem)

  Path to the icon to be displayed for the enabled item state Setter for iconItem

  Parameters:
    `iconItem` - - new value

### setIconItemPosition

    public void setIconItemPosition(javax.el.ValueExpression __iconItemPosition)

  Position of the icon (left, right none (default) ) for the item icon Setter for iconItemPosition

  Parameters:
    `iconItemPosition` - - new value

### setIconItemTopPosition

    public void setIconItemTopPosition(javax.el.ValueExpression __iconItemTopPosition)

  Position of the icon (left, right none (default) ) for the top item icon Setter for iconItemTopPosition

  Parameters:
    `iconItemTopPosition` - - new value

### setIconTopDisableGroup

    public void setIconTopDisableGroup(javax.el.ValueExpression __iconTopDisableGroup)

  Path to the icon to be displayed for the disabled top Group state Setter for iconTopDisableGroup

  Parameters:
    `iconTopDisableGroup` - - new value

### setIconTopDisabledItem

    public void setIconTopDisabledItem(javax.el.ValueExpression __iconTopDisabledItem)

  Path to the icon to be displayed for the disabled top item state Setter for iconTopDisabledItem

  Parameters:
    `iconTopDisabledItem` - - new value

### setIconTopItem

    public void setIconTopItem(javax.el.ValueExpression __iconTopItem)

  Path to the icon to be displayed for the enabled top item state Setter for iconTopItem

  Parameters:
    `iconTopItem` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setItemClass

    public void setItemClass(javax.el.ValueExpression __itemClass)

  Space-separated list of CSS style class(es) that are be applied to item of this component Setter for itemClass

  Parameters:
    `itemClass` - - new value

### setItemStyle

    public void setItemStyle(javax.el.ValueExpression __itemStyle)

  CSS style(s) is/are to be applied to item when this component is rendered. Setter for itemStyle

  Parameters:
    `itemStyle` - - new value

### setLabel

    public void setLabel(javax.el.ValueExpression __label)

  A localized user presentable name for this component. Setter for label

  Parameters:
    `label` - - new value

### setMode

    public void setMode(javax.el.ValueExpression __mode)

  Set the submission mode for all panel menu items on the panel menu except ones where this attribute redefined. (ajax, server,(Default), none) Setter for mode

  Parameters:
    `mode` - - new value

### setOngroupcollapse

    public void setOngroupcollapse(javax.el.ValueExpression __ongroupcollapse)

  HTML: script expression; some group was closed Setter for ongroupcollapse

  Parameters:
    `ongroupcollapse` - - new value

### setOngroupexpand

    public void setOngroupexpand(javax.el.ValueExpression __ongroupexpand)

  HTML: script expression; some group was activated Setter for ongroupexpand

  Parameters:
    `ongroupexpand` - - new value

### setOnitemhover

    public void setOnitemhover(javax.el.ValueExpression __onitemhover)

  HTML: script expression; some item was hovered Setter for onitemhover

  Parameters:
    `onitemhover` - - new value

### setRequired

    public void setRequired(javax.el.ValueExpression __required)

  If "true", this component is checked for non-empty input Setter for required

  Parameters:
    `required` - - new value

### setRequiredMessage

    public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage

  Parameters:
    `requiredMessage` - - new value

### setSelectedChild

    public void setSelectedChild(javax.el.ValueExpression __selectedChild)

  contain the name or the clientId of any of the item or group, the child defined in this attribute should be highlighted on PanelMenu rendering Setter for selectedChild

  Parameters:
    `selectedChild` - - new value

### setTopGroupClass

    public void setTopGroupClass(javax.el.ValueExpression __topGroupClass)

  Space-separated list of CSS style class(es) that are be applied to top group of this component Setter for topGroupClass

  Parameters:
    `topGroupClass` - - new value

### setTopGroupStyle

    public void setTopGroupStyle(javax.el.ValueExpression __topGroupStyle)

  CSS style(s) is/are to be applied to top group when this component is rendered Setter for topGroupStyle

  Parameters:
    `topGroupStyle` - - new value

### setTopItemClass

    public void setTopItemClass(javax.el.ValueExpression __topItemClass)

  Space-separated list of CSS style class(es) that are be applied to top item of this component Setter for topItemClass

  Parameters:
    `topItemClass` - - new value

### setTopItemStyle

    public void setTopItemStyle(javax.el.ValueExpression __topItemStyle)

  CSS style(s) is/are to be applied to top item when this component is rendered Setter for topItemStyle

  Parameters:
    `topItemStyle` - - new value

### setValidator

    public void setValidator(javax.el.MethodExpression __validator)

  MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator

  Parameters:
    `validator` - - new value

### setValidatorMessage

    public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage

  Parameters:
    `validatorMessage` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  The current value of this component Setter for value

  Parameters:
    `value` - - new value

### setValueChangeListener

    public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

  Listener for value changes Setter for valueChangeListener

  Parameters:
    `valueChangeListener` - - new value

### setWidth

    public void setWidth(javax.el.ValueExpression __width)

  Set minimal width for the menu. Setter for width

  Parameters:
    `width` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.